<!DOCTYPE html [
   <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns1="http://пф.рф/АФ/УПП/Общий/2016-03-15/2016-03-15" xmlns:УПП="http://пф.рф/АФ/УПП/типы" xmlns:АФ="http://пф.рф/АФ" xmlns:УТ="http://пф.рф/унифицированныеТипы/2014-01-01" xmlns:ns2="http://пф.рф/АФ/УПП">
    <xsl:output method="html" indent="yes" encoding="windows-1251"/>
    <xsl:template match="/">
        <html>
            <head>
                <title>Протокол проверки отчетности</title>
                <style type="text/css">
                    h2 {
                    text-align: center;
                    }

                    .tableHeader {
                    background-color: #C0C0C0;
                    font-weight: bold;
                    }

                    .tableHeaderCell {
                    background-color: #C0C0C0;
                    font-weight: bold;
                    }

                    .tableHeader td, tableHeaderCell {
                    text-align: center;
                    border: 1px solid black;
                    }

                    .tableBorder {
                    border-collapse: collapse;
                    margin-bottom: 10px;
                    }

                    .tableBorder tr td {
                    border: 1px solid black;
                    }

                    .width100 {
                    width: 100%;
                    }
                    
                    .bold {
                    font-weight: bold;
                    }
                    
                    .notifyTitle {
                    text-align: center;
                    font-weight: bold;
                    }
                    
                    .borderBottom {
                    border-bottom: 1px solid black;
                    }
                    
                    .width40 {
                    width: 40%;
                    }
                    
                    .justify {
                    text-align: justify;
                    text-indent: 1.5em;
                    }
                </style>
            </head>
            <body>
                <a name="top"></a>
                
                <xsl:variable name="warning" select="count(descendant::УПП:Проверка[УПП:КодРезультата='10'] | descendant::УПП:Проверка[УПП:КодРезультата='20'])"/>
                <xsl:variable name="error" select="count(descendant::УПП:Проверка[УПП:КодРезультата='30'] | descendant::УПП:Проверка[УПП:КодРезультата='40'])"/>
                <xsl:variable name="criticalError" select="count(descendant::УПП:Проверка[УПП:КодРезультата='50'])"/>
                
                <!--
                <xsl:if test="(/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки = 'Документ не принят' or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки = 'Документ принят частично') or
                    count(descendant::УПП:Проверка[УПП:КодРезультата='30'] | descendant::УПП:Проверка[УПП:КодРезультата='40'] | descendant::УПП:Проверка[УПП:КодРезультата='50']) &gt; 0">
                    <xsl:call-template name="printNotify" />
                </xsl:if>
                -->
                
                <xsl:variable name="not_szvm_is" select="not(/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'СЗВ-М' or @КодФормы = 'ОДВ-1' or @КодФормы = 'СЗВ-ИСХ' or @КодФормы = 'СЗВ-КОРР' or @КодФормы = 'СЗВ-СТАЖ'])" />
                <xsl:variable name="is_szvm" select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'СЗВ-М']" />
                <xsl:variable name="is_szvstg" select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'СЗВ-СТАЖ']" />
                <xsl:variable name="is_szvish" select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'СЗВ-ИСХ']" />
                <xsl:variable name="is_szvcorr" select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'СЗВ-КОРР']" />
                <xsl:variable name="is_odv1" select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'ОДВ-1']" />
                <xsl:variable name="not_adv" select="not(/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'АДВ-1' or @КодФормы = 'АДВ-2' or @КодФормы = 'АДВ-3'])" />
                <xsl:variable name="not_dsv" select="not(/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'ДСВ-1' or @КодФормы = 'ДСВ-3'])" />
                <h1 style="text-align: center;">Протокол проверки отчетности</h1>
                <div>Дата и время формирования УПП:&nbsp;<xsl:value-of select="translate(child::*[local-name(.) = 'ЭДПФР']/descendant::АФ:ДатаВремя, 'T', ' ')"/></div>
                <div>ID#&nbsp;<xsl:value-of select="child::*[local-name(.) = 'ЭДПФР']/descendant::АФ:GUID"/></div>
                <div>Проверочный модуль:
                    <xsl:for-each select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверочныйМодуль">
                        <xsl:if test="position() > 1">,&nbsp;</xsl:if>&quot;<xsl:value-of select="@Наименование"/>&quot;</xsl:for-each>
                </div>
                <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент">
                    <div style="padding-top: 5px">
                        Информация о страхователе:
                        <table class="tableBorder">
                            <tr class="bold">
                                <td>Регистрационный номер в ПФР</td>
                                <td>
                                    <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:РегистрационныйНомер !=''">
                                        <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:РегистрационныйНомер"/>
                                    </xsl:if>
                                </td>
                            </tr>
                            <tr class="bold">
                                <td>ИНН</td>
                                <td>
                                    <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер">
                                        <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер/УТ:ИНН"/>
                                    </xsl:if>
                                </td>
                            </tr>
                            <tr class="bold">
                                <td>КПП</td>
                                <td>
                                    <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер">
                                        <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер/УТ:КПП"/>
                                    </xsl:if>
                                </td>
                            </tr>
                            <tr class="bold">
                                <td>Наименование организации</td>
                                <td>
                                    <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НаименованиеКраткое !=''">
                                        "<xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НаименованиеКраткое"/>"
                                    </xsl:if>
                                </td>
                            </tr>
                        </table>
                    </div>
                </xsl:if>
                <div style="padding-top: 5px">
                    Проверяемые документы:
                    <table class="tableBorder">
                        <tr class="bold">
                            <td>Код формы</td>
                            <td><xsl:value-of select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент/@КодФормы"/></td>
                        </tr>
                        <xsl:if test="($is_szvstg or $is_szvcorr or $is_szvm or $is_odv1) and /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки">
                            <tr class="bold">
                                <td>Тип Сведений</td>
                                <xsl:choose>
                                    <xsl:when test="$is_szvstg">
                                        <xsl:choose>
                                            <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки = 0"><td>ИСХОДНАЯ</td></xsl:when>
                                            <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки = 1"><td>ДОПОЛНЯЮЩАЯ</td></xsl:when>
                                            <xsl:otherwise><td>НАЗНАЧЕНИЕ ПЕНСИИ</td></xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:when>
                                    <xsl:when test="$is_szvcorr">
                                        <xsl:choose>
                                            <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки = 0"><td>КОРРЕКТИРУЮЩАЯ</td></xsl:when>
                                            <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки = 1"><td>ОТМЕНЯЮЩАЯ</td></xsl:when>
                                            <xsl:otherwise><td>ОСОБАЯ</td></xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:when>
                                    <xsl:when test="$is_szvm">
                                        <xsl:choose>
                                            <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки = 1"><td>ИСХОДНАЯ</td></xsl:when>
                                            <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки = 2"><td>ДОПОЛНЯЮЩАЯ</td></xsl:when>
                                            <xsl:otherwise><td>ОТМЕНЯЮЩАЯ</td></xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:choose>
                                            <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:НомерКорректировки = 1"><td>КОРРЕКТИРУЮЩАЯ</td></xsl:when>
                                            <xsl:otherwise><td>ОТМЕНЯЮЩАЯ</td></xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:otherwise>
                                </xsl:choose>
                            </tr>
                        </xsl:if>
                        <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:КоличествоЗЛ">
                            <tr class="bold">
                                <td>Количество застрахованных лиц</td>
                                <td><xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:КоличествоЗЛ" /></td>
                            </tr>
                        </xsl:if>
                        <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод">
                            <tr class="bold">
                                <td>Отчетный период</td>
                                <td>
                                    <xsl:choose>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = 3 or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = '03' or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = '3'">
                                            I квартал <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                       </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = 6 or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = '06' or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = '6'">
                                            полугодие <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = 9 or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = '09' or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = '9'">
                                            9 месяцев <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = 0 or /ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйПериод = '12'">
                                            за <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> год
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 1">
                                            январь <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 2">
                                            февраль <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 3">
                                            март <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 4">
                                            апрель <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 5">
                                            май <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 6">
                                            июнь <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 7">
                                            июль <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 8">
                                            август <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 9">
                                            сентябрь <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 10">
                                            октябрь <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйМесяц = 11">
                                            ноябрь <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:when>
                                        <xsl:otherwise>
                                            декабрь <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:ОтчетныйГод"/> года
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </td>
                            </tr>
                        </xsl:if>
                        <tr class="bold">
                            <td>Наименование файла</td>
                            <td>
                                <xsl:value-of select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент/УПП:Файл/@ИмяФайла"/>
                            </td>
                        </tr>
                    </table>
                </div>
					
                <!--xsl:apply-templates select="/child::*[local-name(.) = 'ЭДПФР']"/-->
				
                <h2 style="text-align: left;">Результат проверки:</h2>
                <table class="tableBorder width100">
                    <tr class="tableHeader">
                        <td>Предупреждений</td>
                        <td>Ошибок</td>
                        <td>Грубых ошибок</td>
                    </tr>
                    <tr style="text-align: center;">
                        <td>
                            <xsl:value-of select="$warning"/>
                        </td>
                        <td>
                            <xsl:value-of select="$error"/>
                        </td>
                        <td>
                            <xsl:value-of select="$criticalError"/>
                        </td>
                    </tr>
                </table>
               				
				<!--xsl:if test="(not(/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки)) or (/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки = '')"-->				    
        		    <xsl:choose>
        		        <xsl:when test="$criticalError or $error">
                            <h2 style="color: red;">
                                <xsl:choose>
                                    <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки != ''"><xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки"/></xsl:when>
                                    <xsl:otherwise>Документ не прошел форматно-логический контроль (необходимо исправить ошибки)!</xsl:otherwise>
                                </xsl:choose>
                            </h2>
                            <xsl:for-each select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверочныйМодуль">
                                    <h2 style="text-align: left;">
                                        <!--<xsl:value-of select="$numPos"/>.&nbsp;-->
                                        Перечень выявленных предупреждений и ошибок</h2>
                                <xsl:call-template name="printValidateModule" />
                            </xsl:for-each>
                        </xsl:when>                                
                        <xsl:otherwise>
                            <h2 style="color: green;">
                                <xsl:choose>
                                    <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки != ''"><xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки"/></xsl:when>
                                    <xsl:otherwise>Документ успешно прошел форматно-логический контроль!</xsl:otherwise>
                                </xsl:choose>
                            </h2>
                            <xsl:if test="count(/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверочныйМодуль/УПП:ПроверкаФайлов/УПП:Файл/УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '20'] |
                                /child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверочныйМодуль/УПП:ПроверкаФайлов/УПП:Файл/УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '10']) &gt; 0">
                                <xsl:for-each select="/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверочныйМодуль">
                                    <h2 style="text-align: left;">Перечень выявленных предупреждений и ошибок</h2>
                                    <xsl:call-template name="printValidateModule" />
                                </xsl:for-each>
                    		</xsl:if>
                        </xsl:otherwise>
                    </xsl:choose>				        
				<!--/xsl:if>

				<xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки != ''"> 
                    <xsl:choose>
                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки = 'Документ не принят'">
                            <h2 style="color: red;">Документ не прошел форматно-логический контроль (необходимо исправить ошибки)!</h2>
          		            <xsl:for-each select="/ns1:ЭДПФР/ns1:УПП/УПП:ПроверочныйМодуль">
                                <h2 style="text-align: left;">Перечень выявленных предупреждений и ошибок</h2>
                                <xsl:call-template name="printValidateModule" />
                            </xsl:for-each>
                        </xsl:when>
                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки = 'Документ принят частично'">
                            <h2 style="color: green;">Документ успешно прошел форматно-логический контроль!</h2>
                            <xsl:for-each select="/ns1:ЭДПФР/ns1:УПП/УПП:ПроверочныйМодуль">
                                <h2 style="text-align: left;">Перечень выявленных предупреждений и ошибок</h2>
                                <xsl:call-template name="printValidateModule" />
                            </xsl:for-each>
                        </xsl:when>
                        <xsl:when test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки = 'Документ принят'">
                            <h2 style="color: green;">Документ успешно прошел форматно-логический контроль!</h2>
                            <xsl:if test="count(/ns1:ЭДПФР/ns1:УПП/УПП:ПроверочныйМодуль/УПП:ПроверкаФайлов/УПП:Файл/УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '20'] |
                                /ns1:ЭДПФР/ns1:УПП/УПП:ПроверочныйМодуль/УПП:ПроверкаФайлов/УПП:Файл/УПП:Результат/УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '10']) &gt; 0">
                                <xsl:for-each select="/ns1:ЭДПФР/ns1:УПП/УПП:ПроверочныйМодуль">
                                    <h2 style="text-align: left;">Перечень выявленных предупреждений и ошибок</h2>
                                    <xsl:call-template name="printValidateModule" />
                                </xsl:for-each>
                            </xsl:if>
                        </xsl:when>
                        <xsl:otherwise>
                            <h2 style="color: green;"><xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:РезультатПроверки"/></h2>
                            <xsl:for-each select="/ns1:ЭДПФР/ns1:УПП/УПП:ПроверочныйМодуль">
                                <h2 style="text-align: left;">Перечень выявленных предупреждений и ошибок</h2>
                                <xsl:call-template name="printValidateModule" />
                            </xsl:for-each>
                        </xsl:otherwise>
                    </xsl:choose>
				</xsl:if-->                
          								
    		</body>
        </html>
    </xsl:template>
    
	
    <xsl:template name="printValidateModule">
        <xsl:for-each select="УПП:ПроверкаФайлов/УПП:Файл">
            
            <!--<xsl:if test="count(../УПП:Файл)&gt;1">
				<tr>
					<td colspan="5">Проверяемый файл документа:
						<b>
							<xsl:value-of select="@ИмяФайла"/>
						</b>
						<p/>
					</td>
				</tr>
			</xsl:if>-->
            <xsl:variable name="needYellow" select="not(/child::*[local-name(.) = 'ЭДПФР']/descendant::УПП:ПроверяемыйДокумент[@КодФормы = 'СЗВ-М' or @КодФормы = 'ОДВ-1' or @КодФормы = 'СЗВ-ИСХ' or @КодФормы = 'СЗВ-КОРР' or @КодФормы = 'СЗВ-СТАЖ' or @КодФормы = 'АДВ-1' or @КодФормы = 'АДВ-2' or @КодФормы = 'АДВ-3' or @КодФормы = 'ДСВ-1' or @КодФормы = 'ДСВ-3'])" />
        
            <xsl:if test="count(УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '50']) &gt; 0">
                <h3>Грубые ошибки</h3>
                <table class="tableBorder width100">
                    <tr class="tableHeader">
                        <td>№ п/п</td>
                        <td>Блок проверок</td>
                        <td>Код проверки</td>
						<td>Код результата</td>
                        <td>Описание проверки</td>
                        <td>Место ошибки</td>
                        <td>Ожидаемое значение</td>
                    </tr>
                    <xsl:for-each select="УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '50']">
                        <xsl:call-template name="printCheckBlock">
                            <xsl:with-param name="numPP" select="position()"/>
                            <xsl:with-param name="codeFrom" select="'50'" />
                            <xsl:with-param name="codeTo" select="'50'" />
                            <xsl:with-param name="recultCodeCss" select="string('background-color: red')" />
                        </xsl:call-template>
                    </xsl:for-each>
                </table>
            </xsl:if>
            
            <xsl:if test="count(УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '30'] | УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '40']) &gt; 0">
                <h3>Ошибки</h3>
                <table class="tableBorder width100">
                    <tr class="tableHeader">
                        <td>№ п/п</td>
                        <td>Блок проверок</td>
                        <td>Код проверки</td>
						<td>Код результата</td>
                        <td>Описание проверки</td>
                        <td>Место ошибки</td>
                        <td>Ожидаемое значение</td>
                    </tr>
                    <xsl:for-each select="УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '30'] | УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '40']">
                        <xsl:choose>
                            <xsl:when test="$needYellow">
                                <xsl:call-template name="printCheckBlock">
                                    <xsl:with-param name="numPP" select="position()"/>
                                    <xsl:with-param name="codeFrom" select="'30'" />
                                    <xsl:with-param name="codeTo" select="'40'" />
                                    <xsl:with-param name="recultCodeCss" select="string('background-color: yellow')" />
                                </xsl:call-template>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:call-template name="printCheckBlock">
                                    <xsl:with-param name="numPP" select="position()"/>
                                    <xsl:with-param name="codeFrom" select="'30'" />
                                    <xsl:with-param name="codeTo" select="'40'" />
                                    <xsl:with-param name="recultCodeCss" select="string('background-color: red')" />
                                </xsl:call-template>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:for-each>
                </table>
            </xsl:if>
            
            <xsl:if test="count(УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '10'] | УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '20']) &gt; 0">
                <h3>Предупреждения</h3>
                <table class="tableBorder width100">
                    <tr class="tableHeader">
                        <td>№ п/п</td>
                        <td>Блок проверок</td>
                        <td>Код проверки</td>
						<td>Код результата</td>
                        <td>Описание проверки</td>
                        <td>Место ошибки</td>
                        <td>Ожидаемое значение</td>
                    </tr>
                    <xsl:for-each select="УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '10'] | УПП:Результат/descendant::УПП:БлокПроверок[УПП:Проверка/УПП:КодРезультата = '20']">
                        <xsl:call-template name="printCheckBlock">
                            <xsl:with-param name="numPP" select="position()"/>
                            <xsl:with-param name="codeFrom" select="'10'" />
                            <xsl:with-param name="codeTo" select="'20'" />
                            <xsl:with-param name="recultCodeCss" select="string('')" />
                        </xsl:call-template>
                    </xsl:for-each>
                </table>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    
    <!--xsl:template match="child::*[local-name(.) = 'ЭДПФР']">
        Проверяемые документы:
        <ol>
            <xsl:for-each select="descendant::УПП:ПроверяемыйДокумент/УПП:Файл">
                <li>
                    <xsl:value-of select="@ИмяФайла"/>
                </li>
            </xsl:for-each>
        </ol>
    </xsl:template-->
	
   	 <xsl:template name="printCheckBlock">
        <xsl:param name="numPP" />
   	    <xsl:param name="codeFrom" />
   	    <xsl:param name="codeTo" />
   	    <xsl:param name="recultCodeCss" />
        <xsl:for-each select="УПП:БлокПроверок">
            <xsl:call-template name="printCheckBlock">
                <xsl:with-param name="numPP" select="position()"/>
                <xsl:with-param name="recultCodeCss" select="$recultCodeCss" />
            </xsl:call-template>
        </xsl:for-each>
   	     <xsl:variable name="cntError" select="count(child::*[./УПП:КодРезультата = $codeFrom] | child::*[./УПП:КодРезультата = $codeTo])"/>
        <xsl:variable name="title" select="@Название"/>
        <xsl:if test="$cntError &gt; 0">
            <xsl:for-each select="УПП:Проверка[./УПП:КодРезультата = $codeFrom] | УПП:Проверка[./УПП:КодРезультата = $codeTo]">
                <xsl:variable name="position" select="position()"/>
                <tr>
                    <xsl:if test="$position = 1">
                        <td rowspan="{$cntError}"  style="vertical-align: top">
                            <xsl:value-of select="$numPP"/>
                        </td>
                        <td rowspan="{$cntError}"  style="vertical-align: top">
                            <xsl:value-of select="$title"/>
                        </td>
                    </xsl:if>
                    <td  style="vertical-align: top">
                        <xsl:value-of select="@ID"/>
                    </td>
                    <td align="center"  style="vertical-align: top; {$recultCodeCss}">
						<xsl:value-of select="УПП:КодРезультата"/>
					</td>
                    <td style="vertical-align: top">
                        <xsl:value-of select="УПП:ОписаниеПроверки"/>
                    </td>
                    <td>
                        <ul>
                            <xsl:for-each select="УПП:Ошибки/УПП:Ошибка">
								<li>
									<xsl:if test="УПП:Объект">
										<xsl:value-of select="concat(УПП:Объект/УПП:Наименование, '=', УПП:Объект/УПП:Значение, '. ')"/>
									</xsl:if><br/>
									<xsl:value-of select="concat('Путь до элемента: ', УПП:ПутьДоЭлемента)"/>
								</li>
                           </xsl:for-each>
                        </ul>
                    </td>
                    <td>
                        <ul>
                            <xsl:for-each select="УПП:Ошибки/УПП:Ошибка">                                
                                <xsl:choose>
                                    <xsl:when test="УПП:ОжидаемоеЗначение">
                                        <li><xsl:value-of select="УПП:ОжидаемоеЗначение"/></li>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <xsl:if test="УПП:ПутьДоЭлемента != 0">
                                            <li>не&nbsp;указано</li>
                                        </xsl:if>
                                    </xsl:otherwise>
                                </xsl:choose>                                
                            </xsl:for-each>
                        </ul>
                    </td>
                </tr>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
	
	<xsl:template name="printNotify">
	    <div class="notifyTitle">Уведомление</div>
	    <div class="notifyTitle">об устранении шибок и (или) несоответствий между</div>
	    <div class="notifyTitle">представленными страхователем сведениями и сведениями, имеющимися у</div>
	    <div class="notifyTitle">Пенсионного фонда Российской Федерации</div>
	    <table class="width100">
	        <tr>
	            <td class="width40">Страхователю</td>
	            <td class="borderBottom">
	                <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент">
	                    "<xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НаименованиеКраткое"/>"
	                </xsl:if>
	            </td>
	        </tr>
	        <tr>
	            <td class="width40">Регистрационный номер ПФР</td>
	            <td class="borderBottom">
	                <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент">
	                    "<xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:РегистрационныйНомер"/>"
	                </xsl:if>
	            </td>
	        </tr>
	        <tr>
	            <td class="width40">ИНН</td>
	            <td class="borderBottom">
	                <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер">
	                    <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер/УТ:ИНН"/>
	                </xsl:if>
	            </td>
	        </tr>
	        <tr>
	            <td class="width40">КПП</td>
	            <td class="borderBottom">
	                <xsl:if test="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер">
	                    <xsl:value-of select="/ns1:ЭДПФР/ns1:СлужебнаяИнформация/ns1:Контрагент/УТ:НалоговыйНомер/УТ:КПП"/>
	                </xsl:if>
	            </td>
	        </tr>
	    </table><br />
	    <div class="justify">Территориальный орган ПФР в связи с выявлением ошибок (несоответствий) в представленных сведениях индивидуального (персонифицированного) учета
	        уведомляет о необходимости устранения в течении пяти рабочих дней имеющихся расхождений.</div>
	    <div class="justify">Протокол проверки прилагается</div><br /><br /><br />
	    <div style="text-indent: 1.5em; page-break-after: always;">Дата формирования уведомления:</div>
	</xsl:template>

	
</xsl:stylesheet> 

<!-- Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\..\..\..\Users\Прохоровы\Downloads\ПФР_УПП_20171226_70d8eeb9-50cb-4c1e-a030-4f7b42570a38.XML" htmlbaseurl=""
		          outputurl="..\..\..\..\..\..\..\..\Users\Прохоровы\Downloads\1.html" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath=""
		          postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="schemaCache" value="||"/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="true"/>
			<advancedProp name="bGenerateByteCode" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="xsltVersion" value="2.0"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->